#include <iostream>
#include <string.h>
#include <fstream>
using namespace std;
int main()
{
    ifstream f1("KYTUK.inp");
    ofstream f2("KYTUK.out");
    string s;
    getline(f1,s);
    for(long i=0;i<s.length();i++){
        for(long j=0;j<s.length();j++){
            if(s[i]==s[j] && i!=j){
                s.erase(j,1);
            }
        }
    }
    f2<<s.length();
}
